#ifndef _Handle_PColgp_VArrayNodeOfFieldOfHArray1OfVec_HeaderFile
#define _Handle_PColgp_VArrayNodeOfFieldOfHArray1OfVec_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PColgp_VArrayNodeOfFieldOfHArray1OfVec;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColgp_VArrayNodeOfFieldOfHArray1OfVec);

class Handle(PColgp_VArrayNodeOfFieldOfHArray1OfVec) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfVec)():Handle(PStandard_ArrayNode)() {} 
    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfVec)(const Handle(PColgp_VArrayNodeOfFieldOfHArray1OfVec)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfVec)(const PColgp_VArrayNodeOfFieldOfHArray1OfVec* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfVec)& operator=(const Handle(PColgp_VArrayNodeOfFieldOfHArray1OfVec)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColgp_VArrayNodeOfFieldOfHArray1OfVec)& operator=(const PColgp_VArrayNodeOfFieldOfHArray1OfVec* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColgp_VArrayNodeOfFieldOfHArray1OfVec* operator->() const 
     {
      return (PColgp_VArrayNodeOfFieldOfHArray1OfVec *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColgp_VArrayNodeOfFieldOfHArray1OfVec) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
